import sys


def get_input():
	inp = []
	for line in sys.stdin:
		inp.append(line)
	return inp


def split_text(text):
	words = []
		
	for line in text:
		words.append(line.split("//"))

	for line in words:
		line[-1] = line[-1][:-1]
		
	return words
				


def decode(text):
	
	decoded = []
	letters = {".-": "A", "-...": "B", 
		   "-.-.": "C", "-..": "D",
		   ".": "E", "..-.": "F",
		   "--.": "G", "....": "H",
		   "..": "I", ".---": "J",
		   "-.-": "K", ".-..": "L",
		   "--": "M", "-.": "N",
		   "---": "O", ".--.": "P",
		   "--.-": "Q", ".-.": "R",
		   "...": "S", "-": "T",
		   "..-": "U", "...-": "V",
		   ".--": "W", "-..-": "X",
		   "-.--": "Y", "--..": "Z"}
	words = split_text(text)
	
	for line in words:
		decoded.append("")
		for word in line:
			for letter in word.split("/"):
				decoded[-1] += letters[letter]

			decoded[-1] += " "
		decoded[-1] = decoded[-1][:-1]
	return decoded


def main():
	inp = get_input()
	decoded = decode(inp)
	for line in decoded:
		print(line)

if __name__ == "__main__":
	main()
